#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'generate_rc_file/constants.rb'
# =========================================================================== #
class GenerateRcFile

  N = "\n"

  # ========================================================================= #
  # === ISO_ENCODING
  # ========================================================================= #
  ISO_ENCODING = 'ISO-8859-1'

  # ========================================================================= #
  # === LINUX_YAML
  # ========================================================================= #
  if ENV['LINUX_YAML']
    LINUX_YAML = ENV['LINUX_YAML']+'/' # '/Users/x/DATA/PC/OS/LINUX/YAML/'
  else
    LINUX_YAML = '/Users/x/DATA/PC/OS/LINUX/YAML/'
  end

  # ========================================================================= #
  # === RCFILE_GENERATOR_YAML_DIRECTORY
  #
  # Hardcoded path for now.
  # ========================================================================= #
  RCFILE_GENERATOR_YAML_DIRECTORY =
    '/Users/x/DATA/PROGRAMMING_LANGUAGES/RUBY/src/'\
    'rcfiles/lib/rcfiles/yaml/'

  # ========================================================================= #
  # === ARRAY_WHICH_FILES_TO_ALIAS
  # ========================================================================= #
  ARRAY_WHICH_FILES_TO_ALIAS = %w(
    aliases
    cd_aliases
    programs_aliases
    german_umlaute
    special_aliases
  ) # ^^^ Which files we will alias.

  # ========================================================================= #
  # === ARRAY_WHICH_FILES_TO_EXPORT
  # ========================================================================= #
  ARRAY_WHICH_FILES_TO_EXPORT = %w(
    compile
    file_information
    gnome
    kde
    kernel
    roeberia_settings
    system_settings
    video
  ) # ^^^ Which files we will EXPORT.

  # ========================================================================= #
  # === ARRAY_ALL_FILES
  # ========================================================================= #
  ARRAY_ALL_FILES = (
    ARRAY_WHICH_FILES_TO_ALIAS+ARRAY_WHICH_FILES_TO_EXPORT
  ).flatten

  # ========================================================================= #
  # === BASE_DIR
  #
  # Where to store. The base directory. We need to keep in mind that on
  # some systems this directory does not exist but also can not be
  # created, due to lack of permissions, for instance.
  # ========================================================================= #
  BASE_DIR = '/AUTOGENERATED/'

  # ========================================================================= #
  # === HEADER1
  # ========================================================================= #
  HEADER1 = '
# =========================================================================== #
# Automatically generated file at '+Time.now.strftime('%d.%m.%Y')+'
#   /AUTOGENERATED/'
  HEADER2 = '# from:
#   $RSRC/generate_rc_file/lib/generate_rc_file/generate_rc_file.rb
# =========================================================================== #'+N+N

end